#
# spec file for package perl-File-ReadBackwards
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-ReadBackwards
Name:           perl-File-ReadBackwards
Version:        1.06
Release:        1.13
Summary:        Read a file backwards by lines
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module reads a file backwards line by line. It is simple to use,
memory efficient and fast. It supports both an object and a tied handle
interface.

It is intended for processing log and other similar text files which
typically have their newest entries appended to them. By default files are
assumed to be plain text and have a line ending appropriate to the OS. But
you can set the input record separator string on a per file basis.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Sat Apr 24 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.06
  see /usr/share/doc/packages/perl-File-ReadBackwards/Changes
  1.06
  - Drop support for Perls prior to 5.6
  - Fix bug in tests that fail could fail with parallel build
    (rt#92313, HAARG++)
  - Fixed typo in documentation (rt#90009, dsteinbrunner++)
  - Incidentally fixed compatability with Perls that do not have `.` in @INC
    (rt#121002)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 29 2010 pascal.bleser@opensuse.org
- initial package (1.04)
